#!/usr/bin/perl


# Kanalliste, ordnet den Sendern die Kennung aus dem EPG-Daten 
# und den Kennungen der EPG-Anbieter zu
#
#                                                                     TVMovie-ID(nicht ndern)
#                                                                        |
#    die ISO-Bezeichnung des        die channel-id. Bei                  |    TVInfo-ID(nicht ndern)
#    Senders (nicht ndern)         Unsicherheit bitte                   |      |
#       |                           printchannels.pl    EPG von welchem  |      |   TVInfo-Name(nicht ndern)
#       |                           benutzen            Provider laden ? |      |     |
#       |                                   |           0=garnicht       |      |     |   Hoerzu-ID(nicht ndern)
#       |                                   |           1=von tvmovie    |      |     |       |
#       |                                   |           2=von tvinfo     |      |     |       |    infosat channel name
#       |                                   |           3=von hoerzu     |      |     |       |	   |
#       |                                   |           4=infosat  |     |      |     |       |	   |
#       v                                   v                      v     v      v     v       v	   v
@chan{"ard.de"}                      = ["S19.2E-1-1101-28106"    ,"1" ,"001" ,"37"  ,"ARD" ,"71","ard"];
@chan{"zdf.de"}                      = ["S19.2E-1-1079-28006"    ,"1" ,"002" ,"36"  ,"ZDF" ,"37","zdf"];
@chan{"ndr.de"}                      = ["S19.2E-1-1073-28226"    ,"1" ,"019" ,"15"  ,"NDR" ,"47","ndrfsmv"];
@chan{"sat1.de"}                     = ["S19.2E-133-33-46"       ,"1" ,"005" ,"38"  ,"Sat1" ,"39","sat1"];
@chan{"rtl.de"}                      = ["S19.2E-1-1089-12003"    ,"1" ,"004" ,"23"  ,"RTL" ,"38","rtl"];
@chan{"rtl2.de"}                     = ["S19.2E-1-1089-12020"    ,"1" ,"009" ,"24"  ,"RTL2" ,"41","rtl2"];
@chan{"prosieben.de"}                = ["S19.2E-133-33-898"      ,"1" ,"006" ,"22"  ,"Pro7" ,"40","pro7"];
@chan{"kabel1.de"}                   = ["S19.2E-133-33-899"      ,"1" ,"008" ,"12"  ,"Kabel1" ,"44","kabel1"];
@chan{"vox.de"}                      = ["S19.2E-1-1089-12060"    ,"1" ,"011" ,"34"  ,"VOX" ,"42","vox"];
@chan{"superrtl.de"}                 = ["S19.2E-1-1089-12040"    ,"1" ,"179" ,"25"  ,"Super RTL" ,"43","rtls"];
@chan{"einsmuxx.ard.de"}             = ["S19.2E-1-1073-28203"    ,"1" ,"513" ,"9"   ,"EinsMuXx" ,"101","einsmuxx"];
@chan{"einsfestival.ard.de"}         = ["S19.2E-1-1073-28202"    ,"1" ,"512" ,"8"   ,"EinsFestival" ,"146","einsfestival"];
@chan{"einsextra.ard.de"}            = ["S19.2E-1-1073-28201"    ,"1" ,"551" ,"111" ,"EinsExtra" ,"100","einsextra"];
@chan{"theater.zdf.de"}              = ["S19.2E-1-1079-28016"    ,"1" ,"552" ,"92"  ,"ZDFtheaterkanal" ,"275","zdf-theaterkanal"];
@chan{"doku.zdf.de"}                 = ["S19.2E-1-1079-28014"    ,"1" ,"553" ,"112" ,"ZDFdokukanal" ,"274","zdfdoku"];
@chan{"info.zdf.de"}                 = ["S19.2E-1-1079-28011"    ,"3" ,""    ,"133" ,"ZDFinfokanal" ,"276","zdf-info"];
@chan{"kika.de"}                     = ["S19.2E-1-1079-28008"    ,"1" ,"063" ,"13"  ,"Kinderkanal" ,"57","kika"];
@chan{"3sat.de"}                     = ["S19.2E-1-1079-28007"    ,"1" ,"118" ,"2"   ,"3sat" ,"56","3sat"];  
@chan{"arte-tv.com"}                 = ["S19.2E-1-1101-28109"    ,"1" ,"010" ,"4"   ,"arte" ,"58","arte"];
@chan{"neunlive.de"}                 = ["S19.2E-133-33-897"      ,"0" ,"059" ,"134" ,"9 Live" ,"1179","neun-live"];
@chan{"phoenix.de"}                  = ["S19.2E-1-1101-28114"    ,"0" ,"206" ,"20"  ,"Phoenix" ,"194","phoenix"];
@chan{"n-tv.de"}                     = ["S19.2E-1-1116-12730"    ,"0" ,"007" ,"81"  ,"n-tv" ,"66","n-tv"];
@chan{"euronews.de"}                 = ["S19.2E-1-1079-28015"    ,"0" ,"013" ,"94"  ,"EuroNews" ,"68","n/a"];
@chan{"n24.de"}                      = ["S19.2E-133-33-47"       ,"0" ,"065" ,"40"  ,"N24" ,"175","n24"];
@chan{"bloomberg.tv"}                = ["S19.2E-1-1108-12160"    ,"0" ,""    ,"98"  ,"BloombergTV" ,"","bloombergtv"];
@chan{"3.br-online.de"}              = ["S19.2E-1-1101-28107"    ,"1" ,"018" ,"6"   ,"Bayern" ,"51","n/a"];
@chan{"BRAlpha"}                     = ["S19.2E-1-1101-28112"    ,"1" ,"057" ,"3"   ,"Alpha" ,"104","br-alpha"];
@chan{"DW-tv"}                       = ["S19.2E-1-1024-9016"     ,"0" ,""    ,"100" ,"DW-tv" ,"","dw-tv"];
@chan{"TV Franken"}                  = ["S19.2E-133-7-775"       ,"0" ,""    ,"186" ,"TV Franken" ,"151","n/a"];
@chan{"hr-online.de"}                = ["S19.2E-1-1101-28108"    ,"1" ,"026" ,"11"  ,"HR" ,"49","hr-fernsehen"];
@chan{"brandenburg.rbb.de"}          = ["S19.2E-1-1073-28205"    ,"1" ,"035" ,"16"  ,"RBB Brandenburg" ,"53","rbbbrandenburg"];
@chan{"berlin.rbb.de"}               = ["S19.2E-1-1073-28206"    ,"1" ,"027" ,"5"   ,"RBB Berlin" ,"52","n/a"];
@chan{"swr.de"}                      = ["S19.2E-1-1101-28110"    ,"1" ,"029" ,"44"  ,"SWR" ,"50","swrbw"];
@chan{"wdr.de"}                      = ["S19.2E-1-1101-28111"    ,"1" ,"028" ,"35"  ,"WDR" ,"46","wdrkln"];
@chan{"berlin.de"}                   = ["S19.2E-133-7-772"       ,"1" ,"038" ,"182" ,"TVBerlin" ,"1192","tvberlin"];
@chan{"mdr.de"}                      = ["S19.2E-1-1073-28204"    ,"1" ,"032" ,"14"  ,"MDR" ,"48","mdr"];
@chan{"dsf.com"}                     = ["S19.2E-133-33-900"      ,"0" ,"012" ,"7"   ,"DSF" ,"64","dsf"];
@chan{"eurosport.de"}                = ["S19.2E-1-1079-28009"    ,"0" ,"107" ,"10"  ,"Eurosport" ,"65","eurosport"];
@chan{"viva.tv"}                     = ["S19.2E-1-1116-12732"    ,"0" ,"121" ,"32"  ,"VIVA" ,"266","viva"];
@chan{"viva2.de"}                    = ["S19.2E-1-1108-12120"    ,"0" ,"181" ,"148" ,"VIVA PLUS" ,"1180","viva-plus"];
@chan{"mtv.de"}                      = ["S19.2E-1-1118-28653"    ,"0" ,"109" ,"46"  ,"MTV" ,"70","mtv"];
@chan{"mtv2.de"}                     = ["S19.2E-1-1118-28659"    ,"0" ,"162" ,"124" ,"MTV2" ,"174","mtv2"];
@chan{"tele5.de"}                    = ["S19.2E-133-33-51"       ,"0" ,"105" ,"152" ,"Tele 5" ,"277","tele-5"];
@chan{"1.orf.at"}                    = ["S19.2E-1-1117-13001"    ,"1" ,"014" ,"17"  ,"ORF1" ,"54","orf1"];
@chan{"2.orf.at"}                    = ["S19.2E-1-1117-13002"    ,"1" ,"015" ,"18"  ,"ORF2" ,"55","orf2"];
@chan{"ATVplus"}                     = ["S19.2E-1-1117-13012"    ,"1" ,"031" ,"108" ,"ATVplus" ,"115","atv+"];
@chan{"TW1"}                         = ["S19.2E-1-1117-13013"    ,"0" ,""    ,"136" ,"TW1" ,"-1","tw1"];
@chan{"1.omroep.nl"}                 = ["S19.2E-53-1105-4011"    ,"0" ,"088" ,"103" ,"NL 1" ,"61","n/a"];
@chan{"2.omroep.nl"}                 = ["S19.2E-53-1105-4012"    ,"0" ,"089" ,"104" ,"NL 2" ,"62","n/a"];
@chan{"3.omroep.nl"}                 = ["S19.2E-53-1105-4013"    ,"0" ,"090" ,"105" ,"NL 3" ,"63","n/a"];
@chan{"1.premiere.de"}               = ["S19.2E-133-2-10"        ,"0" ,"527" ,"153" ,"Premiere 1" ,"196","n/a"];
@chan{"2.premiere.de"}               = ["S19.2E-133-2-11"        ,"0" ,"538" ,"154" ,"Premiere 2" ,"197","n/a"];
@chan{"3.premiere.de"}               = ["S19.2E-133-2-43"        ,"0" ,"539" ,"155" ,"Premiere 3" ,"198","n/a"];
@chan{"4.premiere.de"}               = ["S19.2E-133-2-9"         ,"0" ,"557" ,"156" ,"Premiere 4" ,"1185","n/a"];
@chan{"5.premiere.de"}               = ["S19.2E-133-2-29"        ,"0" ,"558" ,"157" ,"Premiere 5" ,"1186","n/a"];
@chan{"6.premiere.de"}               = ["S19.2E-133-2-41"        ,"0" ,"559" ,"158" ,"Premiere 6" ,"1187","n/a"];
@chan{"7.premiere.de"}               = ["S19.2E-133-2-20"        ,"0" ,"560" ,"159" ,"Premiere 7" ,"1188","n/a"];
@chan{"nostalgie.premiere.de"}       = ["S19.2E-133-4-516"       ,"0" ,"561" ,"160" ,"Premiere Nostalgie" ,"1189","n/a"];
@chan{"1.sport.premiere.de"}         = ["S19.2E-133-3-17"        ,"0" ,"522" ,"47"  ,"Premiere Sport 1" ,"203","n/a"];
@chan{"2.sport.premiere.de"}         = ["S19.2E-133-4-27"        ,"0" ,"523" ,"48"  ,"Premiere Sport 2" ,"204","n/a"];
@chan{"planet.premiere.de"}          = ["S19.2E-133-17-13"       ,"0" ,"521" ,"73"  ,"Planet" ,"195","n/a"];
@chan{"fox-kids.premiere.de"}        = ["S19.2E-133-17-28"       ,"0" ,"534" ,"95"  ,"FOX Kids" ,"148","n/a"];
@chan{"13th-street.premiere.de"}     = ["S19.2E-133-17-42"       ,"0" ,"501" ,"52"  ,"13th Street" ,"102","n/a"];
@chan{"classica.premiere.de"}        = ["S19.2E-133-133-15"      ,"0" ,"508" ,"58"  ,"Classica" ,"133","n/a"];
@chan{"discovery.premiere.de"}       = ["S19.2E-133-17-14"       ,"0" ,"510" ,"60"  ,"Discovery Channel" ,"138","n/a"];
@chan{"disney.premiere.de"}          = ["S19.2E-133-17-34"       ,"0" ,"511" ,"61"  ,"Disney Channel" ,"139","n/a"];
@chan{"goldstar.premiere.de"}        = ["S19.2E-133-133-518"     ,"0" ,"516" ,"68"  ,"Goldstar TV" ,"152","n/a"];
@chan{"heimat.premiere.de"}          = ["S19.2E-133-133-22"      ,"0" ,"517" ,"172" ,"Heimatkanal" ,"154","n/a"];
@chan{"junior.premiere.de"}          = ["S19.2E-133-17-19"       ,"0" ,"518" ,"70"  ,"Junior" ,"160","n/a"];
@chan{"sci-fi.premiere.de"}          = ["S19.2E-133-17-36"       ,"0" ,"541" ,"188" ,"Sci Fi" ,"199","n/a"];
@chan{"beate-uhse.premiere.de"}      = ["S19.2E-133-133-21"      ,"0" ,"544" ,"106" ,"Beate Uhse TV" ,"123","n/a"];
@chan{"serie.premiere.de"}           = ["S19.2E-133-4-16"        ,"0" ,"562" ,"161" ,"Premiere Serie" ,"1190","n/a"];
@chan{"start.premiere.de"}           = ["S19.2E-133-2-8"         ,"0" ,"563" ,"162" ,"Premiere Start" ,"1191","n/a"];
@chan{"krimi.premiere.de"}           = ["S19.2E-133-4-23"        ,"0" ,"564" ,"71"  ,"Premiere Krimi" ,"166","n/a"];
@chan{"mgm.premiere.de"}             = ["S19.2E-133-17-515"      ,"0" ,"565" ,"181" ,"MGM" ,"1196","n/a"];
@chan{"animal.premiere.de"}          = ["S19.2E-0-11758-12"      ,"0" ,"568" ,"193" ,"Animal Planet" ,"1183","n/a"];
@chan{"terranova.de"}                = ["S19.2E-1-1094-17033"    ,"1" ,"205" ,"205" ,"Terra Nova" ,"406","terra-nova"];
@chan{"Premiere Austria"}            = ["S19.2E-133-7-53"        ,"0" ,"567" ,"184" ,"Premiere Austria" ,"","n/a"];
@chan{"cnn.com"}                     = ["S19.2E-1-1068-28522"    ,"0" ,""    ,"93"  ,"CNN" ,"69","n/a"];
@chan{"Bibel TV"}                    = ["S19.2E-1-1057-61900"    ,"0" ,""    ,"191" ,"Bibel TV" ,"","bibel-tv"];
@chan{"XXP"}                         = ["S19.2E-1-1113-12602"    ,"0" ,""    ,"130" ,"XXP" ,"1197","xxp"];
@chan{"RTLSHOP"}                     = ["S19.2E-1-1089-12080"    ,"0" ,""    ,"177" ,"RTLSHOP" ,"","n/a"];
@chan{"Home Shopping Europe"}        = ["S19.2E-133-33-40"       ,"0" ,""    ,"131" ,"Home Shopping Europe" ,"159","home-shopping-europe"];
@chan{"QVC"}                         = ["S19.2E-1-1108-12100"    ,"0" ,""    ,"132" ,"QVC" ,"208","qvc"];
@chan{"BBC Prime"}                   = ["S13.0E-318-3801-5001"   ,"0" ,""    ,"129" ,"BBC Prime" ,"121","n/a"];
@chan{"RTL Lux"}                     = [""                       ,"0" ,""    ,"102" ,"RTL Lux" ,"","n/a"];
@chan{"nbc.de"}                      = ["S13.0E-318-12700-8008"  ,"0" ,""    ,"80"  ,"NBC" ,"176","nbc"];
@chan{"Onyx"}                        = ["S13.0E-318-9900-502"    ,"0" ,""    ,"87"  ,"Onyx" ,"190","n/a"];
@chan{"tv.nrw"}                      = ["S13.0E-318-15500-603"   ,"0" ,""    ,"144" ,"tv.nrw" ,"444","tv.nrw"];
@chan{"TF 1"}                        = ["S13.0E-176-12000-1604"  ,"0" ,""    ,""    ,"" ,"252","n/a"];
@chan{"France 2"}                    = ["S13.0E-176-11600-1103"  ,"0" ,""    ,""    ,"" ,"149","n/a"];
@chan{"France 3"}                    = ["S13.0E-176-11600-1105"  ,"0" ,""    ,""    ,"" ,"150","n/a"];
@chan{"TV 5"}                        = ["S19.2E-1-1112-12240"    ,"0" ,""    ,""    ,"" ,"260","n/a"];
@chan{"RAI 1"}                       = ["S13.0E-318-5200-3401"   ,"0" ,""    ,""    ,"" ,"209","n/a"];
@chan{"RAI 2"}                       = ["S13.0E-318-5200-3402"   ,"0" ,""    ,""    ,"" ,"210","n/a"];
@chan{"bbc.com"}                     = ["S13.0E-318-9400-8204"   ,"0" ,""    ,"123" ,"BBC" ,"67","n/a"];
@chan{"gotv"}                        = [""                       ,"0" ,""    ,"176" ,"gotv" ,"","gotv"];
@chan{"CityInfo"}                    = [""                       ,"0" ,""    ,"180" ,"CityInfo" ,"","n/a"];
@chan{"Extreme Sports Channel"}      = [""                       ,"0" ,""    ,"189" ,"Extreme Sports Channel" ,"","n/a"];
@chan{"Club"}                        = [""                       ,"0" ,""    ,"190" ,"Club" ,"134","n/a"];
@chan{"Spreekanal"}                  = [""                       ,"0" ,""    ,"145" ,"Spreekanal" ,"236","n/a"];
@chan{"TV Mnchen"}                  = [""                       ,"0" ,""    ,"31"  ,"TV Mnchen" ,"262","n/a"];
@chan{"FAB"}                         = [""                       ,"0" ,""    ,"39"  ,"FAB" ,"145","n/a"];
@chan{"SaarTV"}                      = [""                       ,"0" ,""    ,"89"  ,"SaarTV" ,"","n/a"];
@chan{"HH1"}                         = [""                       ,"0" ,""    ,"113" ,"HH1" ,"153","n/a"];
@chan{"Radio Bremen TV"}             = [""                       ,"0" ,""    ,"151" ,"Radio Bremen TV" ,"","n/a"];
@chan{"TRT"}                         = [""                       ,"0" ,""    ,"178" ,"TRT" ,"254","n/a"];
@chan{"CNBC"}                        = ["S19.2E-1-1079-28010"    ,"0" ,""    ,"183" ,"CNBC" ,"135","n/a"];
@chan{"Steiermark 1"}                = [""                       ,"0" ,""    ,"137" ,"Steiermark 1" ,"","n/a"];
@chan{"TSR1"}                        = ["S13.0E-318-8500-902"    ,"0" ,""    ,"27"  ,"TSR1" ,"","tsr"];
@chan{"TSR2"}                        = ["S13.0E-318-8500-908"    ,"0" ,""    ,"28"  ,"TSR2" ,"","tsr2"];
@chan{"SF1"}                         = ["S13.0E-318-8500-901"    ,"0" ,""    ,"41"  ,"SF1" ,"59","sf1"];
@chan{"SF2"}                         = ["S13.0E-318-8500-907"    ,"0" ,""    ,"42"  ,"SF2" ,"60","sf2"];
@chan{"TV Slovenija 1"}              = [""                       ,"0" ,""    ,"146" ,"TV Slovenija 1" ,"","n/a"];
@chan{"TV Slovenija 2"}              = [""                       ,"0" ,""    ,"147" ,"TV Slovenija 2" ,"","n/a"];
@chan{"DR1"}                         = [""                       ,"0" ,""    ,"109" ,"DR1" ,"","n/a"];
@chan{"DR2"}                         = [""                       ,"0" ,""    ,"110" ,"DR2" ,"","n/a"];
@chan{"Belgien 1"}                   = [""                       ,"0" ,""    ,"185" ,"Belgien 1" ,"124","n/a"];
@chan{"Offener Kanal Kiel"}          = [""                       ,"0" ,""    ,""    ,"" ,"189","n/a"];
@chan{"Offener Kanal Berlin"}        = [""                       ,"0" ,""    ,""    ,"" ,"186","n/a"];
@chan{"B.TV"}                        = ["S19.2E-1-1091-31210"    ,"0" ,""    ,""    ,"" ,"117","n/a"];
@chan{"Oberpfalz TV"}                = [""                       ,"0" ,""    ,""    ,"" ,"185","n/a"];
@chan{"Rhein-Neckar-Fernsehen"}      = [""                       ,"0" ,""    ,""    ,"" ,"211","n/a"];
@chan{"Dnemark 1"}                  = [""                       ,"0" ,""    ,""    ,"" ,"140","n/a"];
@chan{"Dnemark 2"}                  = [""                       ,"0" ,""    ,""    ,"" ,"141","n/a"];
@chan{"Cartoon Network"}             = [""                       ,"0" ,""    ,""    ,"" ,"132","n/a"];
@chan{"TCM Paneuro"}                 = [""                       ,"0" ,""    ,""    ,"" ,"246","n/a"];

# radiosender, nur hoerzu
@chan{"r-88acht"}                    = [""                       ,"0" ,""    ,""    ,"" ,"r-1149","n/a"];
@chan{"r-Antenne Brandenburg"}       = [""                       ,"0" ,""    ,""    ,"" ,"r-1009","n/a"];
@chan{"r-ARD Nachtkonzert"}          = [""                       ,"0" ,""    ,""    ,"" ,"r-1016","n/a"];
@chan{"r-Bayern 1"}                  = ["S19.2E-1-1101-28126"    ,"0" ,""    ,""    ,"" ,"r-1017","n/a"];
@chan{"r-Bayern 2 Radio"}            = [""                       ,"0" ,""    ,""    ,"" ,"r-1018","n/a"];
@chan{"r-Bayern 3"}                  = [""                       ,"0" ,""    ,""    ,"" ,"r-1019","n/a"];
@chan{"r-Bayern 4 Klassik"}          = ["S19.2E-1-1101-28120"    ,"0" ,""    ,""    ,"" ,"r-1020","n/a"];
@chan{"r-Bremen Eins"}               = [""                       ,"0" ,""    ,""    ,"" ,"r-1138","n/a"];
@chan{"r-Bremen Vier"}               = [""                       ,"0" ,""    ,""    ,"" ,"r-1140","n/a"];
@chan{"r-Deutschlandfunk Kln"}      = ["S19.2E-1-1079-28013"    ,"0" ,""    ,""    ,"" ,"r-1033","n/a"];
@chan{"r-Deutschlandradio Berlin"}   = ["S19.2E-1-1079-28012"    ,"0" ,""    ,""    ,"" ,"r-1034","n/a"];
@chan{"r-DRS 2"}                     = ["S13.0E-318-8500-922"    ,"0" ,""    ,""    ,"" ,"r-1200","n/a"];
@chan{"r-Eins Live"}                 = [""                       ,"0" ,""    ,""    ,"" ,"r-1174","n/a"];
@chan{"r-FRITZ"}                     = ["S19.2E-1-1073-28209"    ,"0" ,""    ,""    ,"" ,"r-1150","n/a"];
@chan{"r-Funkhaus Europa"}           = [""                       ,"0" ,""    ,""    ,"" ,"r-1139","n/a"];
@chan{"r-Hit Radio FFH"}             = ["S19.2E-1-1113-12651"    ,"0" ,""    ,""    ,"" ,"r-1052","n/a"];
@chan{"r-HR 1"}                      = [""                       ,"0" ,""    ,""    ,"" ,"r-1057","n/a"];
@chan{"r-HR 2"}                      = ["S19.2E-1-1101-28123"    ,"0" ,""    ,""    ,"" ,"r-1058","n/a"];
@chan{"r-HR 3"}                      = [""                       ,"0" ,""    ,""    ,"" ,"r-1060","n/a"];
@chan{"r-HR 4"}                      = [""                       ,"0" ,""    ,""    ,"" ,"r-1061","n/a"];
@chan{"r-HR Klassik"}                = ["S19.2E-1-1101-28124"    ,"0" ,""    ,""    ,"" ,"r-1059","n/a"];
@chan{"r-HR XXL"}                    = ["S19.2E-1-1101-28125"    ,"0" ,""    ,""    ,"" ,"r-1064","n/a"];
@chan{"r-Inforadio"}                 = [""                       ,"0" ,""    ,""    ,"" ,"r-1151","n/a"];
@chan{"r-Jump"}                      = ["S19.2E-1-1073-28210"    ,"0" ,""    ,""    ,"" ,"r-1075","n/a"];
@chan{"r-Klassik Radio"}             = [""                       ,"0" ,""    ,""    ,"" ,"r-1067","n/a"];
@chan{"r-MDR 1 Radio Sachsen"}       = [""                       ,"0" ,""    ,""    ,"" ,"r-1071","n/a"];
@chan{"r-MDR 1 Radio Sachsen-Anhalt"}= [""                       ,"0" ,""    ,""    ,"" ,"r-1072","n/a"];
@chan{"r-MDR 1 Radio Tringen"}      = [""                       ,"0" ,""    ,""    ,"" ,"r-1073","n/a"];
@chan{"r-MDR Kultur"}                = ["S19.2E-1-1073-28208"    ,"0" ,""    ,""    ,"" ,"r-1076","n/a"];
@chan{"r-N-JOY"}                     = [""                       ,"0" ,""    ,""    ,"" ,"r-1084","n/a"];
@chan{"r-NDR 1 Niedersachsen"}       = [""                       ,"0" ,""    ,""    ,"" ,"r-1087","n/a"];
@chan{"r-NDR 1 Radio MV"}            = [""                       ,"0" ,""    ,""    ,"" ,"r-1086","n/a"];
@chan{"r-NDR 1 Welle Nord"}          = [""                       ,"0" ,""    ,""    ,"" ,"r-1079","n/a"];
@chan{"r-NDR 2"}                     = [""                       ,"0" ,""    ,""    ,"" ,"r-1080","n/a"];
@chan{"r-NDR 90,3"}                  = [""                       ,"0" ,""    ,""    ,"" ,"r-1083","n/a"];
@chan{"r-NDR Info"}                  = ["S19.2E-1-1101-28127"    ,"0" ,""    ,""    ,"" ,"r-1081","n/a"];
@chan{"r-NDR Kultur"}                = [""                       ,"0" ,""    ,""    ,"" ,"r-1085","n/a"];
@chan{"r-Nordwest Radio"}            = [""                       ,"0" ,""    ,""    ,"" ,"r-1088","n/a"];
@chan{"r-ORF 1"}                     = [""                       ,"0" ,""    ,""    ,"" ,"r-1094","n/a"];
@chan{"r-ORF 3 Hitradio"}            = [""                       ,"0" ,""    ,""    ,"" ,"r-1095","n/a"];
@chan{"r-Radio 3"}                   = [""                       ,"0" ,""    ,""    ,"" ,"r-1154","n/a"];
@chan{"r-Radio Eins"}                = [""                       ,"0" ,""    ,""    ,"" ,"r-1152","n/a"];
@chan{"r-Radio Hamburg"}             = [""                       ,"0" ,""    ,""    ,"" ,"r-1115","n/a"];
@chan{"r-Radio Kultur"}              = [""                       ,"0" ,""    ,""    ,"" ,"r-1153","n/a"];
@chan{"r-Radio Schleswig-Holstein"}  = [""                       ,"0" ,""    ,""    ,"" ,"r-1129","n/a"];
@chan{"r-SR 1 Europawelle"}          = [""                       ,"0" ,""    ,""    ,"" ,"r-1156","n/a"];
@chan{"r-SR 2 Kulturradio"}          = [""                       ,"0" ,""    ,""    ,"" ,"r-1157","n/a"];
@chan{"r-SR 3 Saarlandwelle"}        = [""                       ,"0" ,""    ,""    ,"" ,"r-1158","n/a"];
@chan{"r-SWR 1"}                     = [""                       ,"0" ,""    ,""    ,"" ,"r-1162","n/a"];
@chan{"r-SWR 2"}                     = [""                       ,"0" ,""    ,""    ,"" ,"r-1164","n/a"];
@chan{"r-SWR 3"}                     = [""                       ,"0" ,""    ,""    ,"" ,"r-1165","n/a"];
@chan{"r-SWR 4 Baden-Wrttemberg"}   = [""                       ,"0" ,""    ,""    ,"" ,"r-1166","n/a"];
@chan{"r-SWR 4 Rheinland-Pfalz"}     = [""                       ,"0" ,""    ,""    ,"" ,"r-1167","n/a"];
@chan{"r-WDR 2"}                     = [""                       ,"0" ,""    ,""    ,"" ,"r-1170","n/a"];
@chan{"r-WDR 3"}                     = ["S19.2E-1-1073-28215"    ,"0" ,""    ,""    ,"" ,"r-1171","n/a"];
@chan{"r-WDR 4"}                     = [""                       ,"0" ,""    ,""    ,"" ,"r-1172","n/a"];
@chan{"r-WDR 5"}                     = ["S19.2E-1-1073-28216"    ,"0" ,""    ,""    ,"" ,"r-1173","n/a"];
